<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<modDesc descVersion="43">
    <author>Xsoma</author>
    <version>2</version>
    <title>
        <en>Renault1181-4</en>
        <de>Renault1181-4</de>
    </title>
    <description>
    	<en>Renault1181-4</en>
    	<fr>Renault1181-4</fr>
    	<de>Renault1181-4</de>
	</description>
    <iconFilename>store_Renault1181-4.png</iconFilename>
    
	<specializations>
        <specialization name="interactiveControl" className="InteractiveControl" filename="Scripts/InteractiveControl.lua" />
        <specialization name="interactiveWindows" className="InteractiveWindows" filename="Scripts/InteractiveWindows.lua" />	
        <specialization name="addConfig" className="AddConfig" filename="Scripts/AddConfig.lua"/>
	</specializations>
	
	<vehicleTypes>
		<type name="Renault11814" parent="tractor" className="Vehicle" filename="$dataS/scripts/vehicles/Vehicle.lua">
			<specialization name="addConfig"/>
			<specialization name="interactiveControl" />
			<specialization name="interactiveWindows" />		
		    <specialization name="foldable" />
		    <specialization name="cover" />
		</type>
    </vehicleTypes>

    <l10n>
        <text name="configuration_glaciere"><en>configuration_glaciere</en><de>configuration_glaciere</de><fr>configuration_glaciere</fr></text>
        <text name="configuration_gyro"><en>configuration_gyro</en><de>configuration_gyro</de><fr>configuration_gyro</fr></text>
        <text name="configuration_plaque"><en>configuration_plaque</en><de>configuration_plaque</de><fr>configuration_plaque</fr></text>
		<text name="configuration_chaine"><en>configuration_chaine</en><de>configuration_chaine</de><fr>configuration_chaine</fr></text>
		<text name="configuration_cabine"><en>configuration_cabine</en><de>configuration_cabine</de><fr>configuration_cabine</fr></text>
		<text name="input_IC_SPACE"><pl>Przełącz IC</pl><en>Switch IC State</en><de>IC-Status wechseln</de><fr>Commutateur IC</fr></text>
        <text name="input_IC_MOUSE"><pl>Aktywuj IC</pl> <en>Change IC State</en><de>IC aktivieren</de><fr>Activer IC</fr></text>
        <text name="InteractiveControl_Off"><pl>Wyłącz IC</pl><en>Disable IC</en><de>IC deaktivieren</de><fr>Éteignez l'IC</fr></text>
        <text name="InteractiveControl_On"><pl>Włącz IC</pl><en>Enable IC</en><de>IC aktivieren</de><fr>Allumer le IC</fr></text>
        <text name="ic_component_close"><pl>Zamknij %s</pl> <en>Close %s</en><de>Schließen %s</de><fr>Proche %s</fr></text>
        <text name="ic_component_open"><pl>Otwórz %s</pl><en>Open %s</en><de>Öffnen %s</de><fr>Ouvert %s</fr></text>
        <text name="ic_button_on"><pl>Aktywuj %s</pl><en>Activate %s</en><de>Aktivieren %s</de><fr>Activer %s</fr></text>
        <text name="ic_button_off"><pl>Dezaktywuj %s</pl><en>Deactivate %s</en><de>Deaktivieren %s</de><fr>Désactiver %s</fr></text>

		<text name="DoorLeft"><en>DoorLeft</en><de>DoorLeft</de><fr>DoorLeft</fr><pt>DoorLeft</pt></text>
		<text name="DoorRight"><en>DoorRight</en><de>DoorRight</de><fr>DoorRight</fr><pt>DoorRight</pt></text>
		<text name="BackWindow"><en>BackWindow</en><de>BackWindow</de><fr>BackWindow</fr><pt>BackWindow</pt></text>
    
	</l10n>

	<actions>	
		<action name="IC_SPACE" 				category="VEHICLE"		axisType="HALF"/>
		<action name="IC_MOUSE" 				category="VEHICLE"		axisType="HALF"/>
	</actions>
	
	<inputBinding>
		<actionBinding action="IC_SPACE">
			<binding device="KB_MOUSE_DEFAULT" 	input="KEY_space" axisComponent="+" neutralInput="0" index="1"/>
		</actionBinding>
		<actionBinding action="IC_MOUSE">
			<binding device="KB_MOUSE_DEFAULT" input="MOUSE_BUTTON_LEFT" index="3"/>
		</actionBinding>
	</inputBinding>	
	
    <storeItems>
        <storeItem rootNode="vehicle" xmlFilename="Renault1181-4.xml"/>
    </storeItems>	
   
    <newConfigurations>		
		<newConfiguration configName="glaciere" isColorConfig="false" />
		<newConfiguration configName="gyro" isColorConfig="false" />
		<newConfiguration configName="chaine" isColorConfig="false" />
		<newConfiguration configName="plaque" isColorConfig="false" />
		<newConfiguration configName="cabine" isColorConfig="false" />
	</newConfigurations>
</modDesc>
